Bug 1476108 - SELinux is preventing abrt-hook-ccpp from 'getattr' accesses on the chr_file /dev/dri/renderD128.
SELinux is preventing abrt-hook-ccpp from 'getattr' accesses on the chr_file ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:07a82f189fd26a6092cb5c5e007...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 00:29 EDT by vikram goyal
Modified: 2018-05-03 04:33 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vikram goyal 2017-07-28 00:29:07 EDT
Description of problem:

some policy conflict I believe, since it is related to system process.
SELinux is preventing abrt-hook-ccpp from 'getattr' accesses on the chr_file /dev/dri/renderD128.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-hook-ccpp should be allowed getattr access on the renderD128 chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'abrt-hook-ccpp' --raw | audit2allow -M my-abrthookccpp
# semodule -X 300 -i my-abrthookccpp.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                system_u:object_r:dri_device_t:s0
Target Objects                /dev/dri/renderD128 [ chr_file ]
Source                        abrt-hook-ccpp
Source Path                   abrt-hook-ccpp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.13.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.10.13-200.fc25.x86_64 #1 SMP Thu
                              Apr 27 20:39:25 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-05-11 10:42:48 IST
Last Seen                     2017-05-11 10:42:48 IST
Local ID                      4b6f4f1a-b7fb-404b-866b-a6ec282814ab

Raw Audit Messages
type=AVC msg=audit(1494479568.945:1177): avc:  denied  { getattr } for  pid=5416 comm="abrt-hook-ccpp" path="/dev/dri/renderD128" dev="devtmpfs" ino=13683 scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:object_r:dri_device_t:s0 tclass=chr_file permissive=0


Hash: abrt-hook-ccpp,abrt_dump_oops_t,dri_device_t,chr_file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-225.13.fc25.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1362624
Comment 1 Fedora End Of Life 2018-05-03 04:33:01 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.